package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItembuygiftQueryactivityRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaHmMarketingItembuygiftQueryactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItembuygiftQueryactivityRequest) SetParam(v domain.AlibabaHmMarketingItembuygiftQueryactivityCommonActivityParam) *AlibabaHmMarketingItembuygiftQueryactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItembuygiftQueryactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItembuygiftQueryactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
